Skip to main content
Use this endpoint to update an existing observation. Common use cases include correcting a value, changing the status from preliminary to final, or adding a note. Send only the fields you want to change.

Request

PATCH https://api.clinikapi.com/v1/observations/{id}

Headers

x-api-key
string
required
Your ClinikAPI secret key (clk_live_* or clk_test_*).
Content-Type
string
required
Must be application/json.

Path Parameters

id
string
required
The ID of the observation to update.

Body

status
string
Updated status. One of: registered, preliminary, final, amended, corrected, cancelled.
valueQuantity
object
Updated numeric value with value and unit.
valueString
string
Updated string value.
interpretation
string
Updated interpretation flag.
note
string
Updated notes. Maximum 2000 characters.

Response

Returns 200 OK with the complete updated observation.
data.id
string
Observation ID.
data.status
string
Updated status.
meta
object
Standard response metadata.

Examples

curl

curl -X PATCH https://api.clinikapi.com/v1/observations/obs_ghi012 \
  -H "x-api-key: clk_live_abc123" \
  -H "Content-Type: application/json" \
  -d '{
    "status": "final",
    "valueQuantity": { "value": 75, "unit": "bpm" },
    "note": "Re-measured after 5 minutes of rest"
  }'

TypeScript SDK

import { ClinikAPI } from "@clinikapi/sdk";

const client = new ClinikAPI({ apiKey: "clk_live_abc123" });

const updated = await client.observations.update("obs_ghi012", {
  status: "final",
  valueQuantity: { value: 75, unit: "bpm" },
  note: "Re-measured after 5 minutes of rest",
});